This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 434487 - perl-XML-Xerces failed massrebuild attempt for GCC 4.3
perl-XML-Xerces failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-XML-Xerces (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On: 435125
Blocks: gcc43rebuildfail
  Show dependency treegraph
 
Reported: 2008-02-22 11:29 EST by Jesse Keating
Modified: 2013-01-09 22:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 16:51:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:29:31 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=447250
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Xavier Bachelot 2008-02-27 18:40:46 EST
The issue is not with gcc 4.3 issue, but with a missing dependency.
Comment 2 John Poelstra 2008-02-29 15:50:38 EST
make[1]: Entering directory `/builddir/build/BUILD/lineak-xosdplugin-0.9'
Making all in xosd_plugin
make[2]: Entering directory
`/builddir/build/BUILD/lineak-xosdplugin-0.9/xosd_plugin'
if /bin/sh ../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I.
-I. -I..  -I/usr/include -I.. -I.  -I  -I/usr/include/lineak -I/usr/include  
-Wnon-virtual-dtor -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500
-D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W
-Wpointer-arith -Wwrite-strings -O2 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -Wformat-security
-Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common  -MT
xosdplugin.lo -MD -MP -MF ".deps/xosdplugin.Tpo" -c -o xosdplugin.lo
xosdplugin.cpp; \
	then mv -f ".deps/xosdplugin.Tpo" ".deps/xosdplugin.Plo"; else rm -f
".deps/xosdplugin.Tpo"; exit 1; fi
if /bin/sh ../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I.
-I. -I..  -I/usr/include -I.. -I.  -I  -I/usr/include/lineak -I/usr/include  
-Wnon-virtual-dtor -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500
-D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W
-Wpointer-arith -Wwrite-strings -O2 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -Wformat-security
-Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common  -MT
xosdctrl.lo -MD -MP -MF ".deps/xosdctrl.Tpo" -c -o xosdctrl.lo xosdctrl.cpp; \
	then mv -f ".deps/xosdctrl.Tpo" ".deps/xosdctrl.Plo"; else rm -f
".deps/xosdctrl.Tpo"; exit 1; fi
xosdctrl.cpp: In constructor 'xosdCtrl::xosdCtrl()':
xosdctrl.cpp:87: error: 'atoi' was not declared in this scope
xosdctrl.cpp: In member function 'virtual void xosdCtrl::init(LConfig&, bool)':
xosdctrl.cpp:143: error: 'atoi' was not declared in this scope
xosdctrl.cpp: In member function 'virtual void xosdCtrl::volume(float)':
xosdctrl.cpp:271: warning: conversion to 'float' from 'double' may alter its value
xosdctrl.cpp: In member function 'virtual void xosdCtrl::setColor(const
std::string&)':
xosdctrl.cpp:330: error: 'strlen' was not declared in this scope
xosdctrl.cpp:330: error: 'malloc' was not declared in this scope
xosdctrl.cpp:331: error: 'strcpy' was not declared in this scope
xosdctrl.cpp:335: error: 'free' was not declared in this scope
make[2]: *** [xosdctrl.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
xosdplugin.cpp:101: warning: unused parameter 'imyDisplay'
make[2]: Leaving directory `/builddir/build/BUILD/lineak-xosdplugin-0.9/xosd_plugin'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/lineak-xosdplugin-0.9'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.17930 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.17930 (%build)
EXCEPTION: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target ppc --nodeps
//builddir/build/SPECS/lineak-xosdplugin.spec'
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.4/site-packages/mock/util.py", line 287, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" %
(command,), ret)
Error: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target ppc --nodeps
//builddir/build/SPECS/lineak-xosdplugin.spec'
LEAVE do --> EXCEPTION RAISED

Comment 3 Kevin Kofler 2008-03-11 16:51:02 EDT
This was successfully rebuilt by Tom Callaway (spot).

Note You need to log in before you can comment on or make changes to this bug.